Subject: Re: [PATCH V2] ipconfig: Inform user if carrier is not ready

From: Rick Jones <[email-masked]>
Date: Fri, 14 Sep 2012 12:19:46 -0700

On 09/14/2012 12:08 PM, Erwan Velu wrote:
> From: Erwan Velu <[email-masked]>
>
> While using the ip= option at the cmdline, the kernel can hold the boot
> process for 2 minutes (CONF_CARRIER_TIMEOUT) if the carrier is not
> present.
>
> While waiting the carrier, user is not informed about this situation and
> so could think the kernel is frozen.
>
> If we don't get the carrier after some seconds, let's display a message to
> inform the user about the remaining time before reaching the timeout.

That should be much better than upwards of 120 messages.

rick jones